OSDN Git Service

merge original branch.
[tortoisegit/TortoiseGitJp.git] / contrib / issue-tracker-plugins / ExampleAtlPlugin / targetver.h
1 \r
2 #pragma once\r
3 \r
4 // The following macros define the minimum required platform.  The minimum required platform\r
5 // is the earliest version of Windows, Internet Explorer etc. that has the necessary features to run \r
6 // your application.  The macros work by enabling all features available on platform versions up to and \r
7 // including the version specified.\r
8 \r
9 // Modify the following defines if you have to target a platform prior to the ones specified below.\r
10 // Refer to MSDN for the latest info on corresponding values for different platforms.\r
11 #ifndef WINVER                          // Specifies that the minimum required platform is Windows Vista.\r
12 #define WINVER 0x0600           // Change this to the appropriate value to target other versions of Windows.\r
13 #endif\r
14 \r
15 #ifndef _WIN32_WINNT            // Specifies that the minimum required platform is Windows Vista.\r
16 #define _WIN32_WINNT 0x0600     // Change this to the appropriate value to target other versions of Windows.\r
17 #endif\r
18 \r
19 #ifndef _WIN32_WINDOWS          // Specifies that the minimum required platform is Windows 98.\r
20 #define _WIN32_WINDOWS 0x0410 // Change this to the appropriate value to target Windows Me or later.\r
21 #endif\r
22 \r
23 #ifndef _WIN32_IE                       // Specifies that the minimum required platform is Internet Explorer 7.0.\r
24 #define _WIN32_IE 0x0700        // Change this to the appropriate value to target other versions of IE.\r
25 #endif\r
26 \r